package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DevProjectCollection extends AbstractObjectCollection 
{
    public DevProjectCollection()
    {
        super(DevProjectInfo.class);
    }
    public boolean add(DevProjectInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DevProjectCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DevProjectInfo item)
    {
        return removeObject(item);
    }
    public DevProjectInfo get(int index)
    {
        return(DevProjectInfo)getObject(index);
    }
    public DevProjectInfo get(Object key)
    {
        return(DevProjectInfo)getObject(key);
    }
    public void set(int index, DevProjectInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DevProjectInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DevProjectInfo item)
    {
        return super.indexOf(item);
    }
}